@echo off
rem for x86
if ."%ProgramFiles(x86)%".==."". (
set MyProgFiles=%PROGRAMFILES%
) else (
set MyProgFiles="%ProgramFiles(x86)%"
)

pushd %TEMP%
if exist fonts.conf.pre del fonts.conf.pre
if exist fonts.conf.post del fonts.conf.post
copy /Y "%USERPROFILE%\.texlive2011\fonts.conf.pre" . >%TEMP%\null
copy /Y "%USERPROFILE%\.texlive2011\fonts.conf.post" . >%TEMP%\null

kpsewhich latex.ltx >_tmp
sed -e "s/texmf-dist\/tex\/latex\/base\/latex.ltx$//g" <_tmp >__tmp
sed -e "s/^/set TMPTLDIR=/g" <__tmp >__tmp.bat
sed -e "s/^/set BSTMPTLDIR=/g" <__tmp >___tmp
sed -e "s/\//\\/g" <___tmp >___tmp.bat
todos __tmp.bat >%TEMP%\null
todos ___tmp.bat >%TEMP%\null
call __tmp.bat
call ___tmp.bat
del _tmp __tmp ___tmp __tmp.bat ___tmp.bat

if .%BSTMPTLDIR%.==.. goto ERROR

rem Check Adobe OpenType
set ADOBEFONTSTATUS=0

rem Check texmf-local folder
pushd %BSTMPTLDIR%..\texmf-local
if not exist fonts md fonts
cd fonts
if not exist opentype md opentype
popd

pushd %BSTMPTLDIR%..\texmf-local\fonts\opentype
if exist MinionPro-Regular.otf (
 set ADOBEFONTSTATUS=1
) else (
 set ADOBEFONTSTATUS=0
)
popd
if .%ADOBEFONTSTATUS%.==.0. goto ADOBEFONTROUT
goto ADOBEFONTROUTEND
:ADOBEFONTROUT
rem Adobe Reader 8.0 or 9.0
pushd %MyProgFiles%
if exist Adobe goto GETFNT
:ReturnHere
goto Recess
:GETFNT
cd Adobe
if exist "Reader 10.0" goto GETTEN
if exist "Reader 9.0" goto GETNINE
if exist "Reader 8.0" goto GETEIGHT
goto ReturnHere
:GETTEN
cd Reader 10.0
cd Resource\CIDFont
if exist AdobeMyungjoStd-Medium.otf (
  copy /Y *.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  set ADOBEOKSTATUS=10
)
cd ..\Font
if exist AdobePiStd.otf (
  copy /Y AdobePiStd.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  copy /Y Minion*.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  copy /Y Myriad*.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  set ADOBEOKSTATUS=10
)
goto ReturnHere
:GETNINE
cd Reader 9.0
cd Resource\CIDFont
if exist AdobeMyungjoStd-Medium.otf (
  copy /Y *.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  set ADOBEOKSTATUS=9
)
cd ..\Font
if exist AdobePiStd.otf (
  copy /Y AdobePiStd.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  copy /Y Minion*.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  copy /Y Myriad*.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  set ADOBEOKSTATUS=9
)
goto ReturnHere
:GETEIGHT
cd Reader 8.0
cd Resource\CIDFont
if exist AdobeMyungjoStd-Medium.otf (
  copy /Y *.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  set ADOBEOKSTATUS=8
)
cd ..\Font
if exist AdobePiStd.otf (
  copy /Y AdobePiStd.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  copy /Y Minion*.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  copy /Y Myriad*.otf %BSTMPTLDIR%..\texmf-local\fonts\opentype\
  set ADOBEOKSTATUS=8
)
goto ReturnHere

:Recess
popd
:ADOBEFONTROUTEND
if .%ADOBEFONTSTATUS%.==.1. echo Adobe Reader Fonts are already installed.

rem generate fonts.conf
type fonts.conf.pre >05-kotex-live.conf
echo "<dir>%TMPTLDIR%../texmf-local/fonts/opentype</dir>" >>05-kotex-live.conf
echo "<dir>%TMPTLDIR%../texmf-local/fonts/truetype</dir>" >>05-kotex-live.conf
type fonts.conf.post >>05-kotex-live.conf
rem copy fonts.conf to conf dir
copy /Y 05-kotex-live.conf "%BSTMPTLDIR%texmf-var\fonts\conf\conf.d\" >%TEMP%\null

rem run fc-cache
fc-cache -v
goto END

:ERROR
echo.
echo Sorry, something's wrong. I'll quit.
echo.
goto END
:END
popd

